<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('s2_shop_sku_extend', function (Blueprint $table) {
            $table->tinyInteger("is_agent")->default(0)->comment("是否批发商商品 0：否 1：是")->after("open_lottery_code");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('s2_shop_sku_extend', function (Blueprint $table) {
            $table->dropColumn("is_agent");
        });
    }
};
